java.awt.event

## Interface AWTEventListener

- All Superinterfaces:
    EventListener
  All Known Implementing Classes:
    AWTEventListenerProxy

      public interface AWTEventListener
      extends EventListener

  The listener interface for receiving notification of events dispatched to objects that are instances of Component or MenuComponent or their subclasses. Unlike the other EventListeners in this package, AWTEventListeners passively observe events being dispatched in the AWT, system-wide. Most applications should never use this class; applications which might use AWTEventListeners include event recorders for automated testing, and facilities such as the Java Accessibility package.

  The class that is interested in monitoring AWT events implements this interface, and the object created with that class is registered with the Toolkit, using the Toolkit's `addAWTEventListener` method. When an event is dispatched anywhere in the AWT, that object's `eventDispatched` method is invoked.

  Since:
    1.2
  See Also:
    `AWTEvent`, `Toolkit.addAWTEventListener(java.awt.event.AWTEventListener, long)`, `Toolkit.removeAWTEventListener(java.awt.event.AWTEventListener)`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `eventDispatched(AWTEvent event)` Invoked when an event is dispatched in the AWT.

- - ### Method Detail

    - #### eventDispatched

          void eventDispatched(AWTEvent event)

      Invoked when an event is dispatched in the AWT.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2019, Oracle and/or its affiliates. All rights reserved.